
package eu.dnetlib.dhp.schema.dump.gcat;

import java.io.Serializable;
import java.util.List;

import eu.dnetlib.dhp.schema.dump.oaf.KeyValue;

public class CatalogueEntry implements Serializable {

	private String name; // openaire id withouut :: substitute with $$
	private String license_id; // default "notspecified",
	private String title; // title.maintitle
	private String notes; // description.value (the first description
	private String url; // the url of the resource in the openaire dashboard
	private String version; // valid for datasets
	private List<Tag> tags; // subject and keywords
	private List<Group> groups; // access and publishers
	private List<KeyValue> extras;

	public List<Group> getGroups() {
		return groups;
	}

	public void setGroups(List<Group> groups) {
		this.groups = groups;
	}

	public List<Tag> getTags() {
		return tags;
	}

	public void setTags(List<Tag> tags) {
		this.tags = tags;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLicense_id() {
		return license_id;
	}

	public void setLicense_id(String license_id) {
		this.license_id = license_id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getNotes() {
		return notes;
	}

	public void setNotes(String notes) {
		this.notes = notes;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public List<KeyValue> getExtras() {
		return extras;
	}

	public void setExtras(List<KeyValue> extras) {
		this.extras = extras;
	}
}
